Bug 86453 - configure all IDE devices on same channel as IDE burner as IDE-SCSI
configure all IDE devices on same channel as IDE burner as IDE-SCSI
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-22 05:55 EST by Michael Wardle
Modified: 2014-03-16 22:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-23 23:30:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Wardle 2003-03-22 05:55:11 EST
I have an IDE/ATAPI DVD-ROM drive on /dev/hdc and a IDE/ATAPI CD-RW
drive on /dev/hdd.  The Red Hat installer configures the CD-RW as a
SCSI device, however it does not do so for the DVD-ROM.

When writing a CD drive using the CD-RW drive under the default Red
Hat Linux configuration, I am unable to write at more than about 24
speed, and often experience errors such as buffer underruns.  After
adding hdc=ide-scsi to the Linux kernel boot parameters (making the
DVD drive use IDE-SCSI as well), I am now able to write at 48 speed
(the maximum speed supported by my drive and CD media) with no
problems.  Doing this also makes the users' view of the CD drives
more consistent (i.e. it's now /dev/scd0 and /dev/scd1 rather than
/dev/hdc and /dev/scd0).

I am hopeful you will consider making kudzu automatically configure
all CD drives on the same IDE channel as the CD-R drive as IDE-SCSI
devices, either that or indeed configuring absoutely all CD drives as
IDE-SCSI devices.

If this idea meets your approval, I would be happy to investigate the
necessary code changes myself.
Comment 1 Bill Nottingham 2003-03-23 23:30:46 EST
Actually, I'd rather just wait for the 2.6 kernel when all this ide-scsi
nonsense goes away.

Note that kudzu doesn't configure anything to use ide-scsi currently; the
addition of the kernel boot parameter is done at install time.
Comment 2 Michael Wardle 2003-03-23 23:51:14 EST
Bill

I completely agree, however I'm after a half-working setup for
Red Hat 8.1.  Surely you're not planning on using Linux 2.6 for
Red Hat 8.1 (or Red Hat 8.2?).

If Red Hat 8.1 is shipped with CD burning in the current state,
people will not be happy.

Note You need to log in before you can comment on or make changes to this bug.